PerDimensionIndexingParams (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.index.params.PerDimensionIndexingParams class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.params
Class PerDimensionIndexingParams

    java.lang.Object
      org.apache.lucene.facet.index.params.DefaultFacetIndexingParams
          org.apache.lucene.facet.index.params.PerDimensionIndexingParams

All Implemented Interfaces:
  Serializable, FacetIndexingParams

Direct Known Subclasses:
  DefaultEnhancementsIndexingParams

    public class PerDimensionIndexingParams

extends DefaultFacetIndexingParams

A FacetIndexingParams that utilizes different category lists, defined by the dimension specified CategoryPaths (see `addCategoryListParams(CategoryPath, CategoryListParams)`

A 'dimension' is defined as the first or "zero-th" component in a CategoryPath. For example, if a CategoryPath is defined as "/Author/American/Mark Twain", then the dimension is "Author".

This class also uses the 'default' CategoryListParams (as specified by `CategoryListParams.CategoryListParams()` when `getCategoryListParams(CategoryPath)` is called for a CategoryPath whose dimension component has not been specifically defined.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.facet.index.params.DefaultFacetIndexingParams
`DEFAULT_FACET_DELIM_CHAR`

Constructor Summary
`PerDimensionIndexingParams()` Construct with the default `CategoryListParams` as the default CategoryListParams for unspecified CategoryPaths.
`PerDimensionIndexingParams(CategoryListParams categoryListParams)` Construct with the included categoryListParams as the default CategoryListParams for unspecified CategoryPaths.

Method Summary
`void` | `addCategoryListParams(CategoryPath category, CategoryListParams clParams)` Add a CategoryListParams for a given CategoryPath's dimension or "zero-th" category.
`Iterable<CategoryListParams>` | `getAllCategoryListParams()` Get all the categoryListParams, including the default.
`CategoryListParams` | `getCategoryListParams(CategoryPath category)` Get the CategoryListParams based on the dimension or "zero-th category" of the specified CategoryPath.

Methods inherited from class org.apache.lucene.facet.index.params.DefaultFacetIndexingParams
`drillDownTermText, equals, fixedOrdinalPolicy, fixedPartitionSize, fixedPathPolicy, getFacetDelimChar, getOrdinalPolicy, getPartitionSize, getPathPolicy, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerDimensionIndexingParams

    public PerDimensionIndexingParams()

  Construct with the default `CategoryListParams` as the default CategoryListParams for unspecified CategoryPaths.

### PerDimensionIndexingParams

    public PerDimensionIndexingParams(CategoryListParams categoryListParams)

  Construct with the included categoryListParams as the default CategoryListParams for unspecified CategoryPaths.

  Parameters:
    `categoryListParams` - the default categoryListParams to use

Method Detail

### getAllCategoryListParams

    public Iterable<CategoryListParams> getAllCategoryListParams()

  Get all the categoryListParams, including the default.

  Specified by:
    `getAllCategoryListParams` in interface `FacetIndexingParams`
  Overrides:
    `getAllCategoryListParams` in class `DefaultFacetIndexingParams`
  See Also:
    `FacetIndexingParams.getCategoryListParams(CategoryPath)`

### getCategoryListParams

    public CategoryListParams getCategoryListParams(CategoryPath category)

  Get the CategoryListParams based on the dimension or "zero-th category" of the specified CategoryPath.

  Specified by:
    `getCategoryListParams` in interface `FacetIndexingParams`
  Overrides:
    `getCategoryListParams` in class `DefaultFacetIndexingParams`

### addCategoryListParams

    public void addCategoryListParams(CategoryPath category,
                                      CategoryListParams clParams)

  Add a CategoryListParams for a given CategoryPath's dimension or "zero-th" category.

  Parameters:
    `category` -
    `clParams` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD